gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Accel Class

Loadable keyboard accelerator specifications and groups.

- Constructor
  2.12.0.0
- Method
  2.12.0.0
  System.Boolean `` `` `` An usually a , on which to activate the accelerator. An accelerator keyval from a key event. A keyboard state mask from a key event. Finds the first accelerator in any . A returns if the accelerator was handled, and otherwise.

  Finds the first accelerator in any attached to that matches and , and activates that accelerator.

- Method
  2.12.0.0
  Gtk.AccelGroup[] `` An usually a . Gets a list of all accel groups which are attached to . An list of all accel groups which are attached to .
- Method
  2.12.0.0
  System.Obsolete("Moved to AccelMap class. Use AccelMap.AddEntry instead")
  System.Void `` `` `` A valid accelerator path. An accelerator key. A accelerator modifier. Registers a new accelerator with the global accelerator map.

  This function should only be called once per with the canonical and for this path. To change the accelerator during runtime programatically, use .

  The accelerator path must consist of "<WINDOWTYPE>/Category1/Category2/.../Action", where <WINDOWTYPE> should be a unique application-specific indentifier, that corresponds to the kind of window the accelerator is being used in, e.g. "Gimp-Image", "Abiword-Document" or "Gnumeric-Settings". The Category1/.../Action portion is most appropriately chosen by the action the accelerator triggers, i.e. for accelerators on menu items, choose the items's menu path, e.g. "File/Save As", "Image/View/Zoom" or "Edit/Select All". So a valid accelerator path may look like this: "<Gimp-Toolbox>/File/Dialogs/ToolOptions..".

- Method
  2.12.0.0
  System.Obsolete("Moved to AccelMap class. Use AccelMap.AddFilter instead")
  System.Void `` A pattern. Adds a filter to the global list of accel path filters.

  Accel map entries whose accel path matches one of the filters are skipped by . This function is intended for gtk-sharp modules that create their own menus but don't want them to be saved into the applications accelerator map dump.

- Method
  2.12.0.0
  System.Obsolete("Moved to AccelMap class. Use AccelMap.ChangeEntry instead")
  System.Boolean `` `` `` `` A valid accelerator path. An new accelerator key. A new accelerator modifier. A returns if other accelerators may be deleted upon conflicts. Changes the and currently associated with . A that returns if the accelerator can be changed, and otherwise.

  Due to conflicts with other accelerators, a change may not always be possible, indicates wheather other accelerators may be deleted to resolve such conflicts. A changed will only occur if all conflicts could be resolved (which might not be the case if conflicting accelerators are locked).

- Method
  2.12.0.0
  System.Obsolete("Moved to AccelMap class. Use AccelMap.Foreach instead")
  System.Void `` `` The data to be passed into . A function to be executed for each accel map entry which is not filtered out. Loops over the entries in the accelerator.

  Loops over the entries in the accelerator whose accel path doesn't match any of the filters added with , and exectutes on each.

  The signature of is that of , the changed parameter indicates wheather this accelerator was changed during runtime (thus, would need saving during an accelerator map dump).

- Method
  2.12.0.0
  System.Obsolete("Moved to AccelMap class. Use AccelMap.ForeachUnfiltered instead")
  System.Void `` `` An data to be passed into the . An function to be exacuted for each accel map entry. Loops over all the entries in the accelerator map, and executes on each.

  The signature of is that of , the changed parameter indicates whether this accelerator was changed during runtime (thus, would need saving during an accelerator map dump).

- Method
  2.12.0.0
  System.Obsolete("Moved to AccelMap class. Use AccelMap.Load instead")
  System.Void `` A file containing accelerator specifications. Parses through a file previously saved with for accelerator specifications, and propagates them accordingly.
- Method
  2.12.0.0
  System.Obsolete("Moved to AccelMap class. Use AccelMap.LoadFd instead")
  System.Void `` An valid readable file descriptor. Filedescriptor variant of . Note that the file descriptor will not be closed by this function.
- Method
  2.12.0.0
  System.Obsolete("Moved to AccelMap class. Use AccelMap.LookupEntry instead")
  System.Boolean `` `` A valid accelerator path. An accelerator key to be filled in (optional). Looks up the accelerator entry for and fills in . A returns if is known, and otherwise.
- Method
  2.12.0.0
  System.Obsolete("Moved to AccelMap class. Use AccelMap.Save instead")
  System.Void `` A file to contain accelerator specifications. Saves current accelerator specifications.

  Saves current accelerator specifications (accelerator path, key, modifiers to . The file is written in a format suitable to be read back in by .

- Method
  2.12.0.0
  System.Obsolete("Moved to AccelMap class. Use AccelMap.SaveFd instead")
  System.Void `` An valid writeable file descriptor. Filedescriptor variant of . Note that the file descriptor will not be closed by this function.